Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.apps.groupspace.search
Enum GroupSpaceSearch.FullTextScope

    java.lang.Object
      java.lang.Enum<GroupSpaceSearch.FullTextScope>
          com.bea.apps.groupspace.search.GroupSpaceSearch.FullTextScope

All Implemented Interfaces
  Serializable, Comparable<GroupSpaceSearch.FullTextScope>

Enclosing class:
  GroupSpaceSearch

    public static enum GroupSpaceSearch.FullTextScope

extends Enum<GroupSpaceSearch.FullTextScope>

Enum Constant Summary
`ALL`
`METADATA`
`TEXT`

Method Summary
`static GroupSpaceSearch.FullTextScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GroupSpaceSearch.FullTextScope[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT

    public static final GroupSpaceSearch.FullTextScope TEXT

### METADATA

    public static final GroupSpaceSearch.FullTextScope METADATA

### ALL

    public static final GroupSpaceSearch.FullTextScope ALL

Method Detail

### values

    public static final GroupSpaceSearch.FullTextScope[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static GroupSpaceSearch.FullTextScope valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved